cURL
curl --request POST \
--url https://app.teable.ai/api/credential/resource/%7BresourceType%7D/%7BresourceId%7D/connection-token \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: application/json' \
--data '{"alias":"string","credentialId":"string"}'const url = 'https://app.teable.ai/api/credential/resource/%7BresourceType%7D/%7BresourceId%7D/connection-token';
const options = {
method: 'POST',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
},
body: '{"alias":"string","credentialId":"string"}'
};
try {
const response = await fetch(url, options);
const data = await response.json();
console.log(data);
} catch (error) {
console.error(error);
}const http = require('https');
const options = {
method: 'POST',
hostname: 'app.teable.ai',
port: null,
path: '/api/credential/resource/%7BresourceType%7D/%7BresourceId%7D/connection-token',
headers: {
Authorization: 'Bearer REPLACE_BEARER_TOKEN',
'content-type': 'application/json'
}
};
const req = http.request(options, function (res) {
const chunks = [];
res.on('data', function (chunk) {
chunks.push(chunk);
});
res.on('end', function () {
const body = Buffer.concat(chunks);
console.log(body.toString());
});
});
req.write(JSON.stringify({alias: 'string', credentialId: 'string'}));
req.end();import http.client
conn = http.client.HTTPSConnection("app.teable.ai")
payload = "{\"alias\":\"string\",\"credentialId\":\"string\"}"
headers = {
'Authorization': "Bearer REPLACE_BEARER_TOKEN",
'content-type': "application/json"
}
conn.request("POST", "/api/credential/resource/%7BresourceType%7D/%7BresourceId%7D/connection-token", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))
{
"accessToken": "<string>",
"provider": "slack",
"credentialId": "<string>",
"alias": "<string>"
}credential
Exchange a granted connection for an access token
For code running as the resource only (the app’s own token, or the automation runtime token). The connection must be granted to the resource.
POST
/
credential
/
resource
/
{resourceType}
/
{resourceId}
/
connection-token
cURL
Авторизації
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Параметри шляху
Доступні опції:
automation, app Останнє оновлення 15 вересня 2026 р.
Чи була ця сторінка корисною?

